# The Red Matrix: include/group.php File Reference

All Classes Namespaces Files Functions Variables Pages
group.php File Reference

## Functions

| group_add ($uid, $name, $public=0)
| group_rmv ($uid, $name)
| group_byname ($uid, $name)
| group_rec_byhash ($uid, $hash)
| group_rmv_member ($uid, $name, $member)
| group_add_member ($uid, $name, $member, $gid=0)
| group_get_members ($gid)
| mini_group_select ($uid, $group= '')
| group_side ($every="connections", $each="group", $edit=false, $group_id=0, $cid= '', $mode=1)
| expand_groups ($a)
| member_of ($c)
| groups_containing ($uid, $c)

## Function Documentation

expand_groups | ( |  | $a | ) |

Referenced by collect_recipients(), and enumerate_permissions().

group_add | ( |  | $uid,
|  |  | $name,
|  |  | $public = `0`
| ) |  |

Referenced by create_identity(), and group_post().

group_add_member | ( |  | $uid,
|  |  | $name,
|  |  | $member,
|  |  | $gid = `0`
| ) |  |

Referenced by connections_post(), connedit_post(), contactgroup_content(), create_identity(), diaspora_request(), group_content(), and new_contact().

group_byname | ( |  | $uid,
|  |  | $name
| ) |  |

Referenced by group_add(), group_add_member(), group_post(), group_rmv_member(), and handle_tag().

group_get_members | ( |  | $gid | ) |

Referenced by contactgroup_content(), group_content(), items_fetch(), and network_content().

group_rec_byhash | ( |  | $uid,
|  |  | $hash
| ) |  |

Referenced by connections_post(), connedit_post(), diaspora_request(), items_fetch(), network_content(), and new_contact().

group_rmv | ( |  | $uid,
|  |  | $name
| ) |  |

Referenced by group_content().

group_rmv_member | ( |  | $uid,
|  |  | $name,
|  |  | $member
| ) |  |

Referenced by contactgroup_content(), and group_content().

group_side | ( |  | $every = `"connections"`,
|  |  | $each = `"group"`,
|  |  | $edit = `false`,
|  |  | $group_id = `0`,
|  |  | $cid = `''`,
|  |  | $mode = `1`
| ) |  |

Referenced by widget_collections().

groups_containing | ( |  | $uid,
|  |  | $c
| ) |  |

Referenced by group_side().

member_of | ( |  | $c | ) |

mini_group_select | ( |  | $uid,
|  |  | $group = `''`
| ) |  |